# 모비드: 분노의 군주 1.02
# BID: 55DFB4A664D8B596

ALL_FPS:
  # r.VSync
  -
    type: write
    address: [MAIN, 0x5DAC3D8, 0]
    value_type: int32
    value: [0, 0]
  # r.DynamicRes.FrameTimeBudget (1000/FPS) cutted to 2 decimals
  -
    type: evaluate_write
    address: [MAIN, 0x657FEE8, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x65AD888, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing